# H460P_PresenceSubscription Class Reference

`#include <h460pres.h>`

Inheritance diagram for H460P_PresenceSubscription:

[legend]
Collaboration diagram for H460P_PresenceSubscription:
[legend]

## Public Types

| e_approved
| e_rasAddress
| e_timeToLive
| e_identifier
| e_genericData
enum | OptionalFields { e_approved, e_rasAddress, e_timeToLive, e_identifier, e_genericData }

## Public Member Functions

| H460P_PresenceSubscription (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H225_AliasAddress | m_subscribe
H460P_ArrayOf_AliasAddress | m_aliases
PASN_Boolean | m_approved
H225_TransportAddress | m_rasAddress
H225_TimeToLive | m_timeToLive
H460P_PresenceIdentifier | m_identifier
H460P_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H460P_PresenceSubscription::OptionalFields

Enumerator:

  e_approved |
  e_rasAddress |
  e_timeToLive |
  e_identifier |
  e_genericData |

## Constructor & Destructor Documentation

H460P_PresenceSubscription::H460P_PresenceSubscription | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceSubscription::Clone | ( |  | ) | const

Comparison H460P_PresenceSubscription::Compare | ( | const PObject & | obj | ) | const

PBoolean H460P_PresenceSubscription::Decode | ( | PASN_Stream & | strm | ) |

void H460P_PresenceSubscription::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H460P_PresenceSubscription::GetDataLength | ( |  | ) | const

void H460P_PresenceSubscription::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H460P_ArrayOf_AliasAddress H460P_PresenceSubscription::m_aliases

PASN_Boolean H460P_PresenceSubscription::m_approved

H460P_ArrayOf_GenericData H460P_PresenceSubscription::m_genericData

H460P_PresenceIdentifier H460P_PresenceSubscription::m_identifier

H225_TransportAddress H460P_PresenceSubscription::m_rasAddress

H225_AliasAddress H460P_PresenceSubscription::m_subscribe

H225_TimeToLive H460P_PresenceSubscription::m_timeToLive

The documentation for this class was generated from the following file:

- h460pres.h